Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 34158 - New API for TABs should be proved
New API for TABs should be proved
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Windows ME/2000
: P3 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 33815
  Show dependency treegraph
 
Reported: 2003-06-04 16:39 UTC by dpavlica
Modified: 2008-12-22 17:48 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments
Diff for Form Editor to put code gen and events properties on separate tabs (1.75 KB, patch)
2003-06-24 12:07 UTC, _ tboudreau
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dpavlica 2003-06-04 16:39:41 UTC
Let's prove TABs in a new design of PS.
E.g. there could be following TABS e.g. in the Form Editor 
Property Sheet:
-basic TAB "Properties" includes these categories: 
Properties, Other Properties and Accessibility)
-second one with a name "Events"
-third one with a name "Code" (or Code Generation, but 
Code is shorter)
Comment 1 _ tboudreau 2003-06-19 17:54:23 UTC
I can look into this, but it would probably be much faster to have
someone familiar with the form editor look into this.  I'll see
how complicated FormDataObject is - it may not be insanely difficult - 
or it may be.
Comment 2 _ tboudreau 2003-06-24 12:07:10 UTC
Created attachment 10779 [details]
Diff for Form Editor to put code gen and events properties on separate tabs
Comment 3 _ tboudreau 2003-06-24 12:15:00 UTC
Created a patch for the form editor to put the requested
property sets into tabs.  It works.

I've created issue 34552 for the form editor folks to 
integrate the patch here into the form editor sources 
after the property sheet is in the trunk.
Comment 4 Tomas Pavek 2003-07-25 11:17:03 UTC
Issue 34552 has been fixed, but it revealed two problems:

- The last tab is always selected when property sheet is shown
  for a node (in Component Inspector).

- How to make the "Code" tab to appear after "Events" ?
Comment 5 Tomas Pavek 2003-07-25 16:27:33 UTC
Seems like the first problem causes failure of validation tests for
form editor (ide/test/qa-functional/src/IDECommitValidfation.java)

The patch for issue 34552 was reverted.
Comment 6 _ tboudreau 2003-07-28 14:17:57 UTC
I (or whoever is assigned the property sheet next) can look 
into the tab selection.

Re the order, it depends on what order the property sets are
added/returned from getPropertySets - please file a separate issue
against the form editor for that.

I'm re-closing this issue - it is a TASK which was completed.

I've created issue 35167 and issue 35168 to track the 
individual issues mentioned above.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo